Bug 435678 - (CVE-2007-5745) CVE-2007-5745 openoffice.org: Quattro Pro files handling heap overflows in Attribute and Font records
CVE-2007-5745 openoffice.org: Quattro Pro files handling heap overflows in At...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
source=upstream,reported=20080303,pub...
: Security
Depends On: 435687 435688 435690 435691 442845 442846
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-03 05:28 EST by Tomas Hoger
Modified: 2008-05-17 18:25 EDT (History)
4 users (show)

See Also:
Fixed In Version: 2.3.0-6.14.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 18:41:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-03-03 05:28:05 EST
Security issue found by anonymous researcher was reported via iDefense to
OpenOffice.org upstream:

Synopsis:
Manipulated Quattro Pro files can lead to heap overflows and arbitrary code
execution

Impact:
A security vulnerability with the way OpenOffice.org 2 processes Quattro Pro
files may allow a remote unprivileged user who provides a OpenOffice.org
document that is opened by a local user to execute arbitrary commands on the
system with the privileges of the user running OpenOffice.org.
Comment 7 Mark J. Cox (Product Security) 2008-03-27 04:55:15 EDT
embargo moved at request of upstream to Apr 15
Comment 8 Tomas Hoger 2008-04-17 03:09:31 EDT
Public now:

http://www.openoffice.org/security/cves/CVE-2007-5745.html

Lifting embargo.
Comment 11 Fedora Update System 2008-04-22 18:40:53 EDT
openoffice.org-2.3.0-6.14.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-05-17 18:25:49 EDT
openoffice.org-2.3.0-6.8.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.